Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class HTTP

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.Protocol
          org.deegree.ogcwebservices.getcapabilities.HTTP

All Implemented Interfaces:
  Serializable

    public class HTTP

extends Protocol

The HTTP-Protocol, which extends the super-interface `Protocol`. It defines the `getGetOnlineResources()` and the `getPostOnlineResources()` methods.

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp , Markus Schneider
See Also:
  Serialized Form

Constructor Summary
`HTTP()` default constructor
`HTTP(URL[] getOnlineResource, URL[] postOnlineResource)` constructor initializing the class with get and post URL

Method Summary
`void` | `addGetOnlineResource(URL getOnlineResource)` adds a get-online resource to the HTTP protocol class
`void` | `addPostOnlineResource(URL postOnlineResource)` adds a post-online resource to the HTTP protocol class
`URL[]` | `getGetOnlineResources()` Return the list of online resources for the HTTP GET request.
`URL[]` | `getPostOnlineResources()` Return the list of online resources for the HTTP GET request.
`void` | `setGetOnlineResources(URL[] getOnlineResource)`
`void` | `setPostOnlineResources(URL[] postOnlineResource)` sets URL prefix for post HTTP request method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTP

    public HTTP()

  default constructor

### HTTP

    public HTTP(URL[] getOnlineResource,
                URL[] postOnlineResource)

  constructor initializing the class with get and post URL

  Parameters:
    `getOnlineResource` -
    `postOnlineResource` -

Method Detail

### getGetOnlineResources

    public URL[] getGetOnlineResources()

  Return the list of online resources for the HTTP GET request. An Online Resource URL intended for HTTP GET requests, is a URL prefix to which additional parameters must be appended in order to construct a valid Operation request. A URL prefix is defined as an opaque string including the protocol, hostname, optional port number, path, a question mark '?', and, optionally, one or more server-specific parameters ending in an ampersand '&'.

  Returns:
    the urls

### addGetOnlineResource

    public void addGetOnlineResource(URL getOnlineResource)

  adds a get-online resource to the HTTP protocol class

  Parameters:
    `getOnlineResource` -

### setGetOnlineResources

    public void setGetOnlineResources(URL[] getOnlineResource)

  Parameters:
    `getOnlineResource` -

### getPostOnlineResources

    public URL[] getPostOnlineResources()

  Return the list of online resources for the HTTP GET request. An Online Resource URL intended for HTTP POST requests is a complete and valid URL to which Clients transmit encoded requests in the body of the POST document.

  Returns:
    the links

### setPostOnlineResources

    public void setPostOnlineResources(URL[] postOnlineResource)

  sets URL prefix for post HTTP request method.

  Parameters:
    `postOnlineResource` -

### addPostOnlineResource

    public void addPostOnlineResource(URL postOnlineResource)

  adds a post-online resource to the HTTP protocol class

  Parameters:
    `postOnlineResource` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org